/* $Id: clockface.h,v 1.4 2005/05/04 17:04:20 simimeie Exp $
 * Functions for controlling the "clock face", which consists of 60 LEDs
 * (12 big, 48 smaller) that are controlled by a MAX 7219 and show the
 * seconds like an analog clock.
 */

#ifndef _CLOCKFACE_H_ 
#define _CLOCKFACE_H_

#ifdef CLOCKFACEMODULE
extern uint8_t clockface_brightness;

void clockface_init(void);
void clockface_update(uint8_t mode, uint8_t seconds);
void sendmax7219command(uint8_t address, uint8_t data);

#else /* ndef CLOCKFACEMODULE */

#define clockface_init() if (0) { }
#define clockface_update(x) if (0) { }

#endif /* CLOCKFACEMODULE */

#endif /* _CLOCKFACE_H_ */
