/* $Id: eepromdata.h,v 1.8 2005/05/03 23:38:55 simimeie Exp $
 * Defines the contents of the EEPROM.
 * The EEPROM contains settings like password and IP adress. Theoretically,
 * you only need to reprogram the eeprom after changing values here, unless
 * compiler version changed and thus the data got reordered.
 */ 

#define EEPROM __attribute__ ((section (".eeprom")))

/* Oscillator Calibration Value. Only for atmega8515.
 * Find out with AVR Studio.
 * Set to 0 if you don't know or want to use it, or if you use an external
 * clock source. */
uint8_t EEPROM ee_osccalib = 0xAC;

/* Display brightness (for the LED module - valid values 0 - 7) */
uint8_t EEPROM ee_ledbri = 3;

/* Display brightness (for the Clockface - valid values 0 - 31) */
uint8_t EEPROM ee_clockfacebri = 0xff;

/* Network Configuration */
uint8_t EEPROM ee_ip[4] =   { 172,  17,   3, 142 };
#if 0
/* We will probably never need this, we would only
 * need it if we did connections ourselves, but we
 * only reply to packets sent by others, so we
 * never do any ARP */
uint8_t EEPROM ee_mask[4] = { 255, 255, 252,   0 };
uint8_t EEPROM ee_gate[4] = { 172,  17,   0,   1 };
#endif

/* This password is needed to send commands over ethernet.
 */
uint8_t EEPROM ee_rconpass[9] = "FICKEN32";
